gnutls_pkcs11_reinit(3)

NAME
gnutls_pkcs11_reinit - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_reinit( void);

ARGUMENTS

void

DESCRIPTION
This function will reinitialize the PKCS 11 subsystem in gnutls. This is required by PKCS 11 when an application uses fork(). The reinitialization function must be called on the child.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/